import request from '@/utils/request'
import constant from '@/constant'
//异常上报messageReport
function pageList(formData) {
  return request.post(constant.serverUrl + "/epidemicReport/list", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/epidemicReport/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/epidemicReport/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/epidemicReport/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/epidemicReport/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/epidemicReport/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/epidemicReport/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function list() {
  return request.post(constant.serverUrl + "/base/epidemicReport/list");
}

export default {
  create, edit, add, update, remove, batchRemove, pageList, list
}